CVE-2004-2751
CVSS6.8
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:45:01
NMCO    

[原文]SQL injection vulnerability in the members_list module in PostNuke 0.726, and possibly earlier, allows remote attackers to execute arbitrary SQL commands via the sortby parameter.


[CNNVD]PostNuke members_list模块版本SQL注入漏洞(CNNVD-200412-849)

        PostNuke 0.726及其可能早期的版本的members_list模块存在SQL注入漏洞。远程攻击者可以借助sortby参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

cpe:/a:postnuke_software_foundation:postnuke:0.722
cpe:/a:postnuke_software_foundation:postnuke:0.726
cpe:/a:postnuke_software_foundation:postnuke:0.723

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2751
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2751
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-849
(官方数据源) CNNVD

- 其它链接及资源

http://www.derkeiler.com/Mailing-Lists/securityfocus/bugtraq/2004-01/0015.html
(PATCH)  BUGTRAQ  20040102 PostNuke Issues (0.726 && Possibly Older)
http://community.postnuke.com/Article2535.htm
(PATCH)  CONFIRM  http://community.postnuke.com/Article2535.htm
http://xforce.iss.net/xforce/xfdb/11500
(UNKNOWN)  XF  postnuke-memberslist-sql-injection(11500)
http://www.osvdb.org/3334
(UNKNOWN)  OSVDB  3334
http://securitytracker.com/id?1008629
(UNKNOWN)  SECTRACK  1008629
http://archives.neohapsis.com/archives/vulnwatch/2003-q1/0117.html
(UNKNOWN)  VULNWATCH  20030309 Postnuke v 0.723 SQL injection and directory traversing

- 漏洞信息

PostNuke members_list模块版本SQL注入漏洞
中危 SQL注入
2004-12-31 00:00:00 2004-12-31 00:00:00
远程  
        PostNuke 0.726及其可能早期的版本的members_list模块存在SQL注入漏洞。远程攻击者可以借助sortby参数执行任意SQL命令。

- 公告与补丁

        

- 漏洞信息

3334
PostNuke Members_List Module sortby Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

PostNuke contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the "sortby" variable in the "members_list" module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

- 时间线

2004-01-03 2003-01-03
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, the PostNuke team has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站